When digitizing with "avoid intersections" layer type should be detected before creating features

2013-11-06 05:38 AM - George Rodrigues da Cunha Silva

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 17668

Description

Hello all,

When digitizing with "avoid intersections" option turned on, QGIS should detect the layer type when creating new features.

Imagine that I draw a square. After that I draw a rectangle, that is wider than the polygon, but shorter in height than the square.

        ________

        |      |

    ----|      |-------

    |   |   A  |  B   |

    ----|------|------

        |______|

If my layer type is MultiPolygon, QGIS should:

a) have a configuration to maintain it's multipolygon status and create only a single feature;

b) ask if we want to split that in multiple features;

If my layer is Polygon, QGIS should:

a) split that feature in two features, each of corresponding to one of the outer rings created.

Related issues:

Related to QGIS Application - Bug report # 8174: Polygons digitized in Postgi... Closed 2013-06-26

History

#1 - 2013-11-06 05:43 AM - Jürgen Fischer

- Priority changed from High to Normal

- Subject changed from When digitizing with "avoid intersections" QuantumGIS should detect layer type before creating features to When digitizing with 

"avoid intersections" layer type should be detected before creating features

#2 - 2013-11-06 05:54 AM - George Rodrigues da Cunha Silva

Hello Jurgen,

I configured this bug to be of high priority because it cause massive problems with digitizing land-use features.
The users cannot, after some time digitizing, figure it out which polygons are multipart (on a single part layer) and some of the work can be lost in

consequence of this.

This is just my two cents :D

#3 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#6 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
